API ReferenceLink pages
Update a link page (title, bio, SEO)
Authorization
api-key AuthorizationBearer <token>
Workspace API key (nim_live_...)
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X PATCH "https://example.com/v1/link-pages/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "8097029e-5895-4a48-b03c-2d7263c2d891", "handle": "brewhaus.coffee", "url": "https://nimply.link/brewhaus.coffee", "title": "Brewhaus Coffee", "bio": "Specialty coffee in Dubai", "status": "PUBLISHED", "seo": { "title": "Brewhaus Coffee", "description": "Specialty coffee in Dubai", "noindex": false }, "blocksCount": 7, "publishedVersion": 3, "publishedAt": {}, "createdAt": "string", "updatedAt": "string", "blocks": [ { "id": "7c3d2a2e-2f5e-4c3a-9c1e-1a2b3c4d5e6f", "type": "LINK", "position": 0, "isActive": true, "config": { "title": "Watch my latest video", "url": "https://youtube.com/@me" }, "scheduledStartAt": "2026-10-01T09:00:00.000Z", "scheduledEndAt": "2026-10-08T09:00:00.000Z", "createdAt": "2026-09-26T10:00:00.000Z", "updatedAt": "2026-09-26T10:00:00.000Z" } ]}